libwpg::WPGBitmap Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | List of all members
libwpg::WPGBitmap Class Reference

`#include <WPGBitmap.h>`

## Classes
class | Private

## Public Member Functions
| WPGBitmap (int width, int height, int verticalResolution, int horizontalResolution, bool verticalFlip=false, bool horizontalFlip=false)
| WPGBitmap (const WPGBitmap &)
WPGBitmap & | operator= (const WPGBitmap &)
void | copyFrom (const WPGBitmap &)
| ~WPGBitmap ()
int | width () const
int | height () const
int | vres () const
int | hres () const
void | setPixel (int x, int y, const WPGColor &color)
const ::librevenge::RVNGBinaryData & | getDIB () const

## Private Attributes
Private *const | d

## Constructor & Destructor Documentation

libwpg::WPGBitmap::WPGBitmap | ( | int | width,
|  | int | height,
|  | int | verticalResolution,
|  | int | horizontalResolution,
|  | bool | verticalFlip = `false`,
|  | bool | horizontalFlip = `false`
| ) |  |

libwpg::WPGBitmap::WPGBitmap | ( | const WPGBitmap & | bitmap | ) |

libwpg::WPGBitmap::~WPGBitmap | ( |  | ) |

## Member Function Documentation

void libwpg::WPGBitmap::copyFrom | ( | const WPGBitmap & | bitmap | ) |

Referenced by operator=(), and WPGBitmap().

const ::librevenge::RVNGBinaryData & libwpg::WPGBitmap::getDIB | ( |  | ) | const

Referenced by WPG2Parser::handleBitmapData(), WPG1Parser::handleBitmapTypeOne(), and WPG1Parser::handleBitmapTypeTwo().

int libwpg::WPGBitmap::height | ( |  | ) | const

Referenced by getDIB().

int libwpg::WPGBitmap::hres | ( |  | ) | const

Referenced by getDIB().

libwpg::WPGBitmap & libwpg::WPGBitmap::operator= | ( | const WPGBitmap & | bitmap | ) |

void libwpg::WPGBitmap::setPixel | ( | int | x,
|  | int | y,
|  | const WPGColor & | color
| ) |  |

Referenced by WPG1Parser::fillPixels(), and WPG2Parser::handleBitmapData().

int libwpg::WPGBitmap::vres | ( |  | ) | const

Referenced by getDIB().

int libwpg::WPGBitmap::width | ( |  | ) | const

Referenced by getDIB().

## Member Data Documentation

Private* const libwpg::WPGBitmap::d
| private

Referenced by copyFrom(), getDIB(), height(), hres(), setPixel(), vres(), width(), WPGBitmap(), and ~WPGBitmap().

The documentation for this class was generated from the following files:

- WPGBitmap.h
- WPGBitmap.cpp